%define major	1
%define libname	%mklibname gta %{major}
%define devname	%mklibname gta -d

Name:		libgta
Version:	1.2.1
Release:	%mkrel 3
Summary:	Library that implements the Generic Tagged Arrays file format
License:	LGPLv2+
Group:		System/Libraries
URL:		https://marlam.de/gta/
Source0:	https://marlam.de/gta/releases/%{name}-%{version}.tar.xz
BuildRequires:	gcc
BuildRequires:	doxygen
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(liblzma)

%description
Libgta is a portable library that implements the GTA (Generic Tagged Arrays)
file format. It provides interfaces for C and C++.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library that implements the Generic Tagged Arrays file format
Group:		System/Libraries

%description -n	%{libname}
Libgta is a portable library that implements the GTA (Generic Tagged Arrays)
file format. It provides interfaces for C and C++.

#------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gta-devel = %{version}-%{release}

%description -n	%{devname}
Header files for development with %{name}.

#------------------------------------------------

%package doc
Summary:	API documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description doc
The %{name}-doc package contains HTML API documentation and
examples for %{name}.

#------------------------------------------------

%prep
%setup -q

# Preserve date for headers
# Sent to gta-list@nongnu.org
sed -i 's/-m 644/-pm 644/' configure

%build
%configure --disable-static
%make_build

%install
%make_install

# Remove documentation; will install it with doc macro
rm -rf %{buildroot}%{_docdir}

%check
make check V=1

%files -n %{libname}
%doc COPYING AUTHORS README
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/gta/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/gta.pc

%files doc
%doc doc/example*
%doc doc/reference


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 1.2.1-3.mga9
+ Revision: 1798509
- Mageia 9 Mass Rebuild

* Fri Jul 24 2020 daviddavid <daviddavid> 1.2.1-2.mga8
+ Revision: 1608728
- fix dependencies

* Thu Jul 16 2020 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1606473
- initial package libgta (for gdal)

